Name:		htmlcleaner
Version:	2.2.1
Release:	12%{?dist}
Summary:	HTML parser written in Java

License:	BSD
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{name}%20v%{version}/%{name}-%{version}-src.zip
URL:		http://htmlcleaner.sourceforge.net/

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	java-devel
BuildRequires:	jdom
BuildRequires:	maven-local

%description
HtmlCleaner is open-source HTML parser written in Java. HTML found on Web is
usually dirty, ill-formed and unsuitable for further processing.
For any serious consumption of such documents, it is necessary to first
clean up the mess and bring the order to tags, attributes and ordinary text.
For the given HTML document, HtmlCleaner reorders individual elements and
produces well-formed XML. By default, it follows similar rules that the most
of web browsers use in order to create Document Object Model. However, user
may provide custom tag and rule set for tag filtering and balancing.


%package javadoc
Summary:	API documentation for %{name}


%description javadoc
This package contains the API documentation for %{name}


%prep
%setup -q -c -T
jar xf %{SOURCE0}
sed -i -e 's!\r!!g' licence.txt

%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_remove pom:build/pom:extensions

# avoid Pre-built JARfiles
JARfiles=""
for j in $(find -name \*.jar); do
if [ ! -L $j ] ; then
JARfiles="$JARfiles $j"
fi
done
if [ ! -z "$JARfiles" ] ; then
echo "These JARfiles should be deleted and symlinked to system JARfiles: $JARfiles"
exit 1
fi


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc licence.txt


%files javadoc -f .mfiles-javadoc
%doc licence.txt


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 26 2017 Björn Esser <besser82@fedoraproject.org> - 2.2.1-10
- Fix build on recent Fedora releases

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 08 2014 Michael Simacek <msimacek@redhat.com> - 2.2.1-5
- Remove wagon from extensions

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.1-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Marcin Dulak <Marcin.Dulak@gmail.com> - 2.2.1-2
- fix bug #973084 comment #11

* Fri Jun 07 2013 Marcin Dulak <Marcin.Dulak@gmail.com> - 2.2.1-1
- initial release
